[tox]
envlist = py3,report

[testenv]
deps =
    pbr
    -rrequirements.txt
    -rtest-requirements.txt
changedir = {toxinidir}/openmodule
commands = pytest --cov=openmodule --cov-report= ../tests
setenv = TESTING=True
         SETTINGS_MODULE=tests.config

[testenv:openmodule_test]
deps =
skip_install = true
changedir = {toxinidir}/openmodule
whitelist_externals = bash
commands = bash -c 'if grep -ri "openmodule_test" . ; then echo ; echo "You must not import openmodule_test inside the openmodule project!" ; echo ; exit 1; else exit 0 ; fi'

[testenv:report]
deps = coverage
skip_install = true
commands =
    coverage report
    coverage html

[clean]
deps =
skip_install = true
commands = rm -rf .tox htmlcov sqlite .coverage ChangeLog AUTHORS .eggs *.egg-info
